﻿$version = '0.13.0-RC2'
$checksum = '21e90fff1db683ca87ff451e59f40fb3d60d5936018d96b88bb4207ece8f5d22'
$url = "https://github.com/docker/kitematic/releases/download/v$version/Kitematic-$version-Windows.zip"
$toolsDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

Install-ChocolateyZipPackage -PackageName "docker-kitematic" -Url "$url" -UnzipLocation "$toolsDir" -ChecksumType 'sha256' -Checksum "$checksum"

# Don't create shims for anything other thatn Kitematic
$files = get-childitem "$toolsDir" -include *.exe -exclude Kitematic.exe -recurse
foreach ($file in $files) {
  New-Item "$file.ignore" -type file -force | Out-Null
}

$desktop = $([System.Environment]::GetFolderPath([System.Environment+SpecialFolder]::DesktopDirectory))
$link = Join-Path $desktop "Kitematic.lnk"

Install-ChocolateyShortcut -ShortcutFilePath "$link" -TargetPath "$toolsDir\Kitematic.exe" -WorkingDirectory "$toolsDir"
